New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Mac installation is failed- Please help. #402

Closed
msoruc opened this Issue Mar 1, 2017 · 2 comments

Comments

Projects
None yet
3 participants
@msoruc

msoruc commented Mar 1, 2017

I am getting the fallowing error and tried to install couple times.

Installing COSMOS gem
Building native extensions. This could take a while...
ERROR: Error installing cosmos:
ERROR: Failed to build gem native extension.
/Users/................../.rbenv/versions/2.2.4/bin/ruby -r ./siteconf20170301-67846-1e207qn.rb extconf.rb

make "DESTDIR=" clean
mkdir ext/build
mkdir bin/2.2
mkdir bin/plugins
mkdir bin/plugins/accessible
mkdir bin/plugins/bearer
mkdir bin/plugins/codecs
mkdir bin/plugins/designer
mkdir bin/plugins/graphicssystems
mkdir bin/plugins/iconengines
mkdir bin/plugins/imageformats
mkdir bin/plugins/phonon_backend
mkdir bin/plugins/qmltooling
mkdir bin/plugins/sqldrivers
mkdir lib/2.2
cd ext/build; rm -rf CMakeFiles
cd ext/build; rm -rf generator
cd ext/build; rm -rf smoke
cd ext/build; rm -rf ruby
cd ext/build; rm *
rm: *: No such file or directory
make: [clean] Error 1 (ignored)

make "DESTDIR="
mkdir ext/build
mkdir: ext/build: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/2.2
mkdir: bin/2.2: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins
mkdir: bin/plugins: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/accessible
mkdir: bin/plugins/accessible: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/bearer
mkdir: bin/plugins/bearer: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/codecs
mkdir: bin/plugins/codecs: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/designer
mkdir: bin/plugins/designer: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/graphicssystems
mkdir: bin/plugins/graphicssystems: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/iconengines
mkdir: bin/plugins/iconengines: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/imageformats
mkdir: bin/plugins/imageformats: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/phonon_backend
mkdir: bin/plugins/phonon_backend: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/qmltooling
mkdir: bin/plugins/qmltooling: File exists
make: [makedirs] Error 1 (ignored)
mkdir bin/plugins/sqldrivers
mkdir: bin/plugins/sqldrivers: File exists
make: [makedirs] Error 1 (ignored)
mkdir lib/2.2
mkdir: lib/2.2: File exists
make: [makedirs] Error 1 (ignored)
cd ext/build; rm -rf CMakeFiles
cd ext/build; rm -rf generator
cd ext/build; rm -rf smoke
cd ext/build; rm -rf ruby
cd ext/build; rm *
rm: *: No such file or directory
make: [clean] Error 1 (ignored)
cd ext/build;
cmake -DCMAKE_MINIMUM_REQUIRED_VERSION=2.6
-G "Unix Makefiles"
-Wno-dev
-DRUBY_EXECUTABLE=/Users/.................../.rbenv/versions/2.2.4/bin/ruby
..
-- The C compiler identification is AppleClang 8.0.0.8000042
-- The CXX compiler identification is AppleClang 8.0.0.8000042
-- Check for working C compiler: /Library/Developer/CommandLineTools/usr/bin/cc
-- Check for working C compiler: /Library/Developer/CommandLineTools/usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /Library/Developer/CommandLineTools/usr/bin/c++
-- Check for working CXX compiler: /Library/Developer/CommandLineTools/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at /usr/local/Cellar/cmake/3.7.2/share/cmake/Modules/FindQt4.cmake:1318 (message):
Found unsuitable Qt version "" from NOTFOUND, this code requires Qt 4.x
Call Stack (most recent call first):
generator/CMakeLists.txt:3 (find_package)

-- Configuring incomplete, errors occurred!
See also "/Users/......................../.rbenv/versions/2.2.4/lib/ruby/gems/2.2.0/gems/qtbindings-4.8.6.3/ext/build/CMakeFiles/CMakeOutput.log".
make: [build] Error 1 (ignored)
cd ext/build; make
make[1]: *** No targets specified and no makefile found. Stop.
make: *** [build] Error 2

make failed, exit code 2

Gem files will remain installed in /Users/..................../.rbenv/versions/2.2.4/lib/ruby/gems/2.2.0/gems/qtbindings-4.8.6.3 for inspection.
Results logged to /Users/....................../.rbenv/versions/2.2.4/lib/ruby/gems/2.2.0/extensions/x86_64-darwin-16/2.2.0/qtbindings-4.8.6.3/gem_make.out
Install and run COSMOS demo (Yn): y
Install COSMOS Demo - If successful COSMOS should launch
/dev/fd/63: line 44: cosmos: command not found
The file /Users/........................../cosmosdemo/tools/mac/Launcher.app does not exist.

@ryanatball

This comment has been minimized.

Show comment
Hide comment
@ryanatball

ryanatball Mar 1, 2017

Member

It looks like qt4 support was dropped on Sierra. We're moving to qt5 but it won't be ready for a month or so. Until then this should install it:

brew tap cartr/qt4
brew tap-pin cartr/qt4
brew install qt

After doing that, try reinstalling COSMOS and let me know if it works.

Member

ryanatball commented Mar 1, 2017

It looks like qt4 support was dropped on Sierra. We're moving to qt5 but it won't be ready for a month or so. Until then this should install it:

brew tap cartr/qt4
brew tap-pin cartr/qt4
brew install qt

After doing that, try reinstalling COSMOS and let me know if it works.

@msoruc

This comment has been minimized.

Show comment
Hide comment
@msoruc

msoruc Mar 2, 2017

It worked. Thank you.

msoruc commented Mar 2, 2017

It worked. Thank you.

@jmthomas jmthomas closed this Mar 7, 2017

@ryanatball ryanatball added the bug label Mar 28, 2017

@ryanatball ryanatball modified the milestone: v3.9.1 Mar 29, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment